Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class GridBagPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--com.ibm.aglets.tahiti.GridBagPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class GridBagPanel
extends java.awt.Panel

See Also:
  Serialized Form

Inner classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static int` | `BOTH`
`static int` | `CENTER`
`static int` | `EAST`
`static int` | `HORIZONTAL`
`static int` | `NONE`
`static int` | `NORTH`
`static int` | `NORTHEAST`
`static int` | `NORTHWEST`
`static int` | `RELATIVE`
`static int` | `REMAINDER`
`static int` | `SOUTH`
`static int` | `SOUTHEAST`
`static int` | `SOUTHWEST`
`static int` | `VERTICAL`
`static int` | `WEST`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GridBagPanel()`

Method Summary
`java.awt.Component` | `add(java.awt.Component c)`
`protected java.awt.Component` | `add(java.awt.Component c, java.awt.GridBagConstraints cns)`
`java.awt.Component` | `add(java.awt.Component c, int width)`
`java.awt.Component` | `add(java.awt.Component c, int width, double weightx)`
`java.awt.Component` | `add(java.awt.Component c, int anchor, int fill)`
`java.awt.Component` | `add(java.awt.Component c, int anchor, int fill, int width)`
`void` | `addLabeled(java.lang.String label, java.awt.Component c)`
`void` | `setConstraints(java.awt.GridBagConstraints cns)`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RELATIVE

    public static final int RELATIVE

### REMAINDER

    public static final int REMAINDER

### NONE

    public static final int NONE

### BOTH

    public static final int BOTH

### HORIZONTAL

    public static final int HORIZONTAL

### VERTICAL

    public static final int VERTICAL

### CENTER

    public static final int CENTER

### NORTH

    public static final int NORTH

### NORTHEAST

    public static final int NORTHEAST

### EAST

    public static final int EAST

### SOUTHEAST

    public static final int SOUTHEAST

### SOUTH

    public static final int SOUTH

### SOUTHWEST

    public static final int SOUTHWEST

### WEST

    public static final int WEST

### NORTHWEST

    public static final int NORTHWEST

Constructor Detail

### GridBagPanel

    public GridBagPanel()

Method Detail

### add

    public java.awt.Component add(java.awt.Component c)

  Overrides:
    `add` in class `java.awt.Container`

### add

    public java.awt.Component add(java.awt.Component c,
                                  int width)

  Overrides:
    `add` in class `java.awt.Container`

### add

    public java.awt.Component add(java.awt.Component c,
                                  int width,
                                  double weightx)

### add

    public java.awt.Component add(java.awt.Component c,
                                  int anchor,
                                  int fill)

### add

    public java.awt.Component add(java.awt.Component c,
                                  int anchor,
                                  int fill,
                                  int width)

### add

    protected java.awt.Component add(java.awt.Component c,
                                     java.awt.GridBagConstraints cns)

### addLabeled

    public void addLabeled(java.lang.String label,
                           java.awt.Component c)

### setConstraints

    public void setConstraints(java.awt.GridBagConstraints cns)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD